import type { ActionAttempt } from '@seamapi/types/connect';
import type { SeamHttpActionAttempts } from './routes/index.js';
export interface ResolveActionAttemptOptions {
    timeout?: number;
    pollingInterval?: number;
}
export declare const resolveActionAttempt: <T extends {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "LOCK_DOOR";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "LOCK_DOOR";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "LOCK_DOOR";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "UNLOCK_DOOR";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "UNLOCK_DOOR";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "UNLOCK_DOOR";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "RESET_SANDBOX_WORKSPACE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "RESET_SANDBOX_WORKSPACE";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "RESET_SANDBOX_WORKSPACE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_COOL";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_COOL";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_COOL";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_HEAT";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT_COOL";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_HEAT_COOL";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT_COOL";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_FAN_MODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_FAN_MODE";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_FAN_MODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_THERMOSTAT_OFF";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_THERMOSTAT_OFF";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_THERMOSTAT_OFF";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SYNC_ACCESS_CODES";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "SYNC_ACCESS_CODES";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SYNC_ACCESS_CODES";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_ACCESS_CODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "CREATE_ACCESS_CODE";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_ACCESS_CODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_ACCESS_CODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "DELETE_ACCESS_CODE";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_ACCESS_CODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_ACCESS_CODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "UPDATE_ACCESS_CODE";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_ACCESS_CODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "CREATE_NOISE_THRESHOLD";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "DELETE_NOISE_THRESHOLD";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "UPDATE_NOISE_THRESHOLD";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_NOISE_THRESHOLD";
}>(actionAttempt: T, actionAttempts: SeamHttpActionAttempts, { timeout, pollingInterval }: ResolveActionAttemptOptions) => Promise<Extract<T, {
    status: 'success';
}>>;
export declare const isSeamActionAttemptError: <T extends {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "LOCK_DOOR";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "LOCK_DOOR";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "LOCK_DOOR";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "UNLOCK_DOOR";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "UNLOCK_DOOR";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "UNLOCK_DOOR";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "RESET_SANDBOX_WORKSPACE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "RESET_SANDBOX_WORKSPACE";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "RESET_SANDBOX_WORKSPACE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_COOL";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_COOL";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_COOL";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_HEAT";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT_COOL";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_HEAT_COOL";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT_COOL";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_FAN_MODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_FAN_MODE";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_FAN_MODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_THERMOSTAT_OFF";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_THERMOSTAT_OFF";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_THERMOSTAT_OFF";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SYNC_ACCESS_CODES";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "SYNC_ACCESS_CODES";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SYNC_ACCESS_CODES";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_ACCESS_CODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "CREATE_ACCESS_CODE";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_ACCESS_CODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_ACCESS_CODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "DELETE_ACCESS_CODE";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_ACCESS_CODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_ACCESS_CODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "UPDATE_ACCESS_CODE";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_ACCESS_CODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "CREATE_NOISE_THRESHOLD";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "DELETE_NOISE_THRESHOLD";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "UPDATE_NOISE_THRESHOLD";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_NOISE_THRESHOLD";
}>(error: unknown) => error is SeamActionAttemptError<T>;
export declare class SeamActionAttemptError<T extends ActionAttempt> extends Error {
    actionAttempt: T;
    constructor(message: string, actionAttempt: T);
}
export declare const isSeamActionAttemptFailedError: <T extends {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "LOCK_DOOR";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "LOCK_DOOR";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "LOCK_DOOR";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "UNLOCK_DOOR";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "UNLOCK_DOOR";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "UNLOCK_DOOR";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "RESET_SANDBOX_WORKSPACE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "RESET_SANDBOX_WORKSPACE";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "RESET_SANDBOX_WORKSPACE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_COOL";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_COOL";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_COOL";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_HEAT";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT_COOL";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_HEAT_COOL";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT_COOL";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_FAN_MODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_FAN_MODE";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_FAN_MODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_THERMOSTAT_OFF";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_THERMOSTAT_OFF";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_THERMOSTAT_OFF";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SYNC_ACCESS_CODES";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "SYNC_ACCESS_CODES";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SYNC_ACCESS_CODES";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_ACCESS_CODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "CREATE_ACCESS_CODE";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_ACCESS_CODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_ACCESS_CODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "DELETE_ACCESS_CODE";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_ACCESS_CODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_ACCESS_CODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "UPDATE_ACCESS_CODE";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_ACCESS_CODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "CREATE_NOISE_THRESHOLD";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "DELETE_NOISE_THRESHOLD";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "UPDATE_NOISE_THRESHOLD";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_NOISE_THRESHOLD";
}>(error: unknown) => error is SeamActionAttemptFailedError<T>;
export declare class SeamActionAttemptFailedError<T extends ActionAttempt> extends SeamActionAttemptError<T> {
    code: string;
    constructor(actionAttempt: FailedActionAttempt<T>);
}
export declare const isSeamActionAttemptTimeoutError: <T extends {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "LOCK_DOOR";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "LOCK_DOOR";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "LOCK_DOOR";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "UNLOCK_DOOR";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "UNLOCK_DOOR";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "UNLOCK_DOOR";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "RESET_SANDBOX_WORKSPACE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "RESET_SANDBOX_WORKSPACE";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "RESET_SANDBOX_WORKSPACE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_COOL";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_COOL";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_COOL";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_HEAT";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT_COOL";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_HEAT_COOL";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_HEAT_COOL";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_FAN_MODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_FAN_MODE";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_FAN_MODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SET_THERMOSTAT_OFF";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {};
    action_type: "SET_THERMOSTAT_OFF";
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SET_THERMOSTAT_OFF";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "SYNC_ACCESS_CODES";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "SYNC_ACCESS_CODES";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "SYNC_ACCESS_CODES";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_ACCESS_CODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "CREATE_ACCESS_CODE";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_ACCESS_CODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_ACCESS_CODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "DELETE_ACCESS_CODE";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_ACCESS_CODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_ACCESS_CODE";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "UPDATE_ACCESS_CODE";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_ACCESS_CODE";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "CREATE_NOISE_THRESHOLD";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "CREATE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "DELETE_NOISE_THRESHOLD";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "DELETE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_NOISE_THRESHOLD";
} | {
    error: null;
    status: "success";
    action_attempt_id: string;
    action_type: "UPDATE_NOISE_THRESHOLD";
    result?: any;
} | {
    error: {
        type: string;
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "UPDATE_NOISE_THRESHOLD";
}>(error: unknown) => error is SeamActionAttemptTimeoutError<T>;
export declare class SeamActionAttemptTimeoutError<T extends ActionAttempt> extends SeamActionAttemptError<T> {
    constructor(actionAttempt: T, timeout: number);
}
export type SucceededActionAttempt<T extends ActionAttempt> = Extract<T, {
    status: 'success';
}>;
export type FailedActionAttempt<T extends ActionAttempt> = Extract<T, {
    status: 'error';
}>;
