import { z } from 'zod';
export declare const acs_encoder: z.ZodObject<{
    acs_encoder_id: z.ZodString;
    acs_system_id: z.ZodString;
    workspace_id: z.ZodString;
    errors: z.ZodArray<z.ZodObject<{
        error_code: z.ZodString;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        message: string;
        error_code: string;
    }, {
        message: string;
        error_code: string;
    }>, "many">;
    created_at: z.ZodString;
    display_name: z.ZodString;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    errors: {
        message: string;
        error_code: string;
    }[];
    display_name: string;
    workspace_id: string;
    acs_system_id: string;
    acs_encoder_id: string;
}, {
    created_at: string;
    errors: {
        message: string;
        error_code: string;
    }[];
    display_name: string;
    workspace_id: string;
    acs_system_id: string;
    acs_encoder_id: string;
}>;
export type AcsEncoder = z.infer<typeof acs_encoder>;
