import { z } from 'zod';
export declare const acs_system_capability_flags: z.ZodObject<{
    can_automate_enrollment: z.ZodOptional<z.ZodBoolean>;
    can_create_acs_access_groups: z.ZodOptional<z.ZodBoolean>;
    can_remove_acs_users_from_acs_access_groups: z.ZodOptional<z.ZodBoolean>;
    can_add_acs_users_to_acs_access_groups: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    can_automate_enrollment?: boolean | undefined;
    can_create_acs_access_groups?: boolean | undefined;
    can_remove_acs_users_from_acs_access_groups?: boolean | undefined;
    can_add_acs_users_to_acs_access_groups?: boolean | undefined;
}, {
    can_automate_enrollment?: boolean | undefined;
    can_create_acs_access_groups?: boolean | undefined;
    can_remove_acs_users_from_acs_access_groups?: boolean | undefined;
    can_add_acs_users_to_acs_access_groups?: boolean | undefined;
}>;
export declare const acs_system_external_type: z.ZodEnum<["pti_site", "alta_org", "salto_ks_site", "brivo_account", "hid_credential_manager_organization", "visionline_system", "assa_abloy_credential_service", "latch_building", "dormakaba_community", "legic_connect", "assa_abloy_vostio", "vostio_credential_service"]>;
export type AcsSystemExternalType = z.infer<typeof acs_system_external_type>;
export declare const acs_system_error_map: z.ZodObject<{
    seam_bridge_disconnected: z.ZodNullable<z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"seam_bridge_disconnected">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "seam_bridge_disconnected";
        created_at: string;
    }, {
        message: string;
        error_code: "seam_bridge_disconnected";
        created_at: string;
    }>>>;
    visionline_instance_unreachable: z.ZodNullable<z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"visionline_instance_unreachable">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "visionline_instance_unreachable";
        created_at: string;
    }, {
        message: string;
        error_code: "visionline_instance_unreachable";
        created_at: string;
    }>>>;
    salto_ks_subscription_limit_exceeded: z.ZodNullable<z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"salto_ks_subscription_limit_exceeded">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    }, {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    }>>>;
    acs_system_disconnected: z.ZodNullable<z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"acs_system_disconnected">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "acs_system_disconnected";
        created_at: string;
    }, {
        message: string;
        error_code: "acs_system_disconnected";
        created_at: string;
    }>>>;
    account_disconnected: z.ZodNullable<z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"account_disconnected">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "account_disconnected";
        created_at: string;
    }, {
        message: string;
        error_code: "account_disconnected";
        created_at: string;
    }>>>;
}, "strip", z.ZodTypeAny, {
    seam_bridge_disconnected?: {
        message: string;
        error_code: "seam_bridge_disconnected";
        created_at: string;
    } | null | undefined;
    visionline_instance_unreachable?: {
        message: string;
        error_code: "visionline_instance_unreachable";
        created_at: string;
    } | null | undefined;
    salto_ks_subscription_limit_exceeded?: {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    } | null | undefined;
    acs_system_disconnected?: {
        message: string;
        error_code: "acs_system_disconnected";
        created_at: string;
    } | null | undefined;
    account_disconnected?: {
        message: string;
        error_code: "account_disconnected";
        created_at: string;
    } | null | undefined;
}, {
    seam_bridge_disconnected?: {
        message: string;
        error_code: "seam_bridge_disconnected";
        created_at: string;
    } | null | undefined;
    visionline_instance_unreachable?: {
        message: string;
        error_code: "visionline_instance_unreachable";
        created_at: string;
    } | null | undefined;
    salto_ks_subscription_limit_exceeded?: {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    } | null | undefined;
    acs_system_disconnected?: {
        message: string;
        error_code: "acs_system_disconnected";
        created_at: string;
    } | null | undefined;
    account_disconnected?: {
        message: string;
        error_code: "account_disconnected";
        created_at: string;
    } | null | undefined;
}>;
export type AcsSystemErrorMap = z.infer<typeof acs_system_error_map>;
export declare const acs_system_warning_map: z.ZodObject<{
    salto_ks_subscription_limit_almost_reached: z.ZodNullable<z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        warning_code: z.ZodLiteral<"salto_ks_subscription_limit_almost_reached">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        warning_code: "salto_ks_subscription_limit_almost_reached";
        created_at: string;
    }, {
        message: string;
        warning_code: "salto_ks_subscription_limit_almost_reached";
        created_at: string;
    }>>>;
}, "strip", z.ZodTypeAny, {
    salto_ks_subscription_limit_almost_reached?: {
        message: string;
        warning_code: "salto_ks_subscription_limit_almost_reached";
        created_at: string;
    } | null | undefined;
}, {
    salto_ks_subscription_limit_almost_reached?: {
        message: string;
        warning_code: "salto_ks_subscription_limit_almost_reached";
        created_at: string;
    } | null | undefined;
}>;
export type AcsSystemWarningMap = z.infer<typeof acs_system_warning_map>;
export declare const acs_system: z.ZodObject<z.objectUtil.extendShape<{
    default_credential_manager_acs_system_id: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    acs_system_id: z.ZodString;
    external_type: z.ZodOptional<z.ZodEnum<["pti_site", "alta_org", "salto_ks_site", "brivo_account", "hid_credential_manager_organization", "visionline_system", "assa_abloy_credential_service", "latch_building", "dormakaba_community", "legic_connect", "assa_abloy_vostio", "vostio_credential_service"]>>;
    external_type_display_name: z.ZodOptional<z.ZodString>;
    is_credential_manager: z.ZodBoolean;
    visionline_metadata: z.ZodOptional<z.ZodObject<{
        mobile_access_uuid: z.ZodString;
        system_id: z.ZodString;
        lan_address: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        mobile_access_uuid: string;
        system_id: string;
        lan_address: string;
    }, {
        mobile_access_uuid: string;
        system_id: string;
        lan_address: string;
    }>>;
    system_type: z.ZodOptional<z.ZodEnum<["pti_site", "alta_org", "salto_ks_site", "brivo_account", "hid_credential_manager_organization", "visionline_system", "assa_abloy_credential_service", "latch_building", "dormakaba_community", "legic_connect", "assa_abloy_vostio", "vostio_credential_service"]>>;
    system_type_display_name: z.ZodOptional<z.ZodString>;
    name: z.ZodString;
    created_at: z.ZodString;
    workspace_id: z.ZodString;
    connected_account_ids: z.ZodArray<z.ZodString, "many">;
    image_url: z.ZodString;
    image_alt_text: z.ZodString;
    errors: z.ZodArray<z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"seam_bridge_disconnected">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "seam_bridge_disconnected";
        created_at: string;
    }, {
        message: string;
        error_code: "seam_bridge_disconnected";
        created_at: string;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"visionline_instance_unreachable">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "visionline_instance_unreachable";
        created_at: string;
    }, {
        message: string;
        error_code: "visionline_instance_unreachable";
        created_at: string;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"salto_ks_subscription_limit_exceeded">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    }, {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"acs_system_disconnected">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "acs_system_disconnected";
        created_at: string;
    }, {
        message: string;
        error_code: "acs_system_disconnected";
        created_at: string;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"account_disconnected">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "account_disconnected";
        created_at: string;
    }, {
        message: string;
        error_code: "account_disconnected";
        created_at: string;
    }>]>, "many">;
    warnings: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        warning_code: z.ZodLiteral<"salto_ks_subscription_limit_almost_reached">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        warning_code: "salto_ks_subscription_limit_almost_reached";
        created_at: string;
    }, {
        message: string;
        warning_code: "salto_ks_subscription_limit_almost_reached";
        created_at: string;
    }>, "many">;
}, {
    can_automate_enrollment: z.ZodOptional<z.ZodBoolean>;
    can_create_acs_access_groups: z.ZodOptional<z.ZodBoolean>;
    can_remove_acs_users_from_acs_access_groups: z.ZodOptional<z.ZodBoolean>;
    can_add_acs_users_to_acs_access_groups: z.ZodOptional<z.ZodBoolean>;
}>, "strip", z.ZodTypeAny, {
    name: string;
    created_at: string;
    errors: ({
        message: string;
        error_code: "seam_bridge_disconnected";
        created_at: string;
    } | {
        message: string;
        error_code: "visionline_instance_unreachable";
        created_at: string;
    } | {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    } | {
        message: string;
        error_code: "acs_system_disconnected";
        created_at: string;
    } | {
        message: string;
        error_code: "account_disconnected";
        created_at: string;
    })[];
    warnings: {
        message: string;
        warning_code: "salto_ks_subscription_limit_almost_reached";
        created_at: string;
    }[];
    image_url: string;
    image_alt_text: string;
    workspace_id: string;
    acs_system_id: string;
    is_credential_manager: boolean;
    connected_account_ids: string[];
    visionline_metadata?: {
        mobile_access_uuid: string;
        system_id: string;
        lan_address: string;
    } | undefined;
    external_type?: "dormakaba_community" | "legic_connect" | "assa_abloy_credential_service" | "assa_abloy_vostio" | "vostio_credential_service" | "pti_site" | "alta_org" | "salto_ks_site" | "brivo_account" | "hid_credential_manager_organization" | "visionline_system" | "latch_building" | undefined;
    external_type_display_name?: string | undefined;
    can_automate_enrollment?: boolean | undefined;
    can_create_acs_access_groups?: boolean | undefined;
    can_remove_acs_users_from_acs_access_groups?: boolean | undefined;
    can_add_acs_users_to_acs_access_groups?: boolean | undefined;
    default_credential_manager_acs_system_id?: string | null | undefined;
    system_type?: "dormakaba_community" | "legic_connect" | "assa_abloy_credential_service" | "assa_abloy_vostio" | "vostio_credential_service" | "pti_site" | "alta_org" | "salto_ks_site" | "brivo_account" | "hid_credential_manager_organization" | "visionline_system" | "latch_building" | undefined;
    system_type_display_name?: string | undefined;
}, {
    name: string;
    created_at: string;
    errors: ({
        message: string;
        error_code: "seam_bridge_disconnected";
        created_at: string;
    } | {
        message: string;
        error_code: "visionline_instance_unreachable";
        created_at: string;
    } | {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    } | {
        message: string;
        error_code: "acs_system_disconnected";
        created_at: string;
    } | {
        message: string;
        error_code: "account_disconnected";
        created_at: string;
    })[];
    warnings: {
        message: string;
        warning_code: "salto_ks_subscription_limit_almost_reached";
        created_at: string;
    }[];
    image_url: string;
    image_alt_text: string;
    workspace_id: string;
    acs_system_id: string;
    is_credential_manager: boolean;
    connected_account_ids: string[];
    visionline_metadata?: {
        mobile_access_uuid: string;
        system_id: string;
        lan_address: string;
    } | undefined;
    external_type?: "dormakaba_community" | "legic_connect" | "assa_abloy_credential_service" | "assa_abloy_vostio" | "vostio_credential_service" | "pti_site" | "alta_org" | "salto_ks_site" | "brivo_account" | "hid_credential_manager_organization" | "visionline_system" | "latch_building" | undefined;
    external_type_display_name?: string | undefined;
    can_automate_enrollment?: boolean | undefined;
    can_create_acs_access_groups?: boolean | undefined;
    can_remove_acs_users_from_acs_access_groups?: boolean | undefined;
    can_add_acs_users_to_acs_access_groups?: boolean | undefined;
    default_credential_manager_acs_system_id?: string | null | undefined;
    system_type?: "dormakaba_community" | "legic_connect" | "assa_abloy_credential_service" | "assa_abloy_vostio" | "vostio_credential_service" | "pti_site" | "alta_org" | "salto_ks_site" | "brivo_account" | "hid_credential_manager_organization" | "visionline_system" | "latch_building" | undefined;
    system_type_display_name?: string | undefined;
}>;
export type AcsSystem = z.output<typeof acs_system>;
