import { z } from 'zod';
export declare const acs_user_external_type: z.ZodEnum<["pti_user", "brivo_user", "hid_credential_manager_user", "salto_site_user", "latch_user", "dormakaba_community_user"]>;
export type AcsUserExternalType = z.infer<typeof acs_user_external_type>;
export declare const acs_users_error_map: z.ZodObject<{
    deleted_externally: z.ZodNullable<z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"deleted_externally">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "deleted_externally";
        created_at: string;
    }, {
        message: string;
        error_code: "deleted_externally";
        created_at: string;
    }>>>;
    salto_ks_subscription_limit_exceeded: z.ZodNullable<z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"salto_ks_subscription_limit_exceeded">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    }, {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    }>>>;
    failed_to_create_on_acs_system: z.ZodNullable<z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"failed_to_create_on_acs_system">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "failed_to_create_on_acs_system";
        created_at: string;
    }, {
        message: string;
        error_code: "failed_to_create_on_acs_system";
        created_at: string;
    }>>>;
    failed_to_update_on_acs_system: z.ZodNullable<z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"failed_to_update_on_acs_system">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "failed_to_update_on_acs_system";
        created_at: string;
    }, {
        message: string;
        error_code: "failed_to_update_on_acs_system";
        created_at: string;
    }>>>;
    failed_to_delete_on_acs_system: z.ZodNullable<z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"failed_to_delete_on_acs_system">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "failed_to_delete_on_acs_system";
        created_at: string;
    }, {
        message: string;
        error_code: "failed_to_delete_on_acs_system";
        created_at: string;
    }>>>;
}, "strip", z.ZodTypeAny, {
    salto_ks_subscription_limit_exceeded?: {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    } | null | undefined;
    deleted_externally?: {
        message: string;
        error_code: "deleted_externally";
        created_at: string;
    } | null | undefined;
    failed_to_create_on_acs_system?: {
        message: string;
        error_code: "failed_to_create_on_acs_system";
        created_at: string;
    } | null | undefined;
    failed_to_update_on_acs_system?: {
        message: string;
        error_code: "failed_to_update_on_acs_system";
        created_at: string;
    } | null | undefined;
    failed_to_delete_on_acs_system?: {
        message: string;
        error_code: "failed_to_delete_on_acs_system";
        created_at: string;
    } | null | undefined;
}, {
    salto_ks_subscription_limit_exceeded?: {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    } | null | undefined;
    deleted_externally?: {
        message: string;
        error_code: "deleted_externally";
        created_at: string;
    } | null | undefined;
    failed_to_create_on_acs_system?: {
        message: string;
        error_code: "failed_to_create_on_acs_system";
        created_at: string;
    } | null | undefined;
    failed_to_update_on_acs_system?: {
        message: string;
        error_code: "failed_to_update_on_acs_system";
        created_at: string;
    } | null | undefined;
    failed_to_delete_on_acs_system?: {
        message: string;
        error_code: "failed_to_delete_on_acs_system";
        created_at: string;
    } | null | undefined;
}>;
export type AcsUsersErrorMap = z.infer<typeof acs_users_error_map>;
export declare const acs_users_warning_map: z.ZodObject<{
    being_deleted: z.ZodNullable<z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        warning_code: z.ZodLiteral<"being_deleted">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        warning_code: "being_deleted";
        created_at: string;
    }, {
        message: string;
        warning_code: "being_deleted";
        created_at: string;
    }>>>;
    salto_ks_user_not_subscribed: z.ZodNullable<z.ZodOptional<z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        warning_code: z.ZodLiteral<"salto_ks_user_not_subscribed">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        warning_code: "salto_ks_user_not_subscribed";
        created_at: string;
    }, {
        message: string;
        warning_code: "salto_ks_user_not_subscribed";
        created_at: string;
    }>>>;
}, "strip", z.ZodTypeAny, {
    being_deleted?: {
        message: string;
        warning_code: "being_deleted";
        created_at: string;
    } | null | undefined;
    salto_ks_user_not_subscribed?: {
        message: string;
        warning_code: "salto_ks_user_not_subscribed";
        created_at: string;
    } | null | undefined;
}, {
    being_deleted?: {
        message: string;
        warning_code: "being_deleted";
        created_at: string;
    } | null | undefined;
    salto_ks_user_not_subscribed?: {
        message: string;
        warning_code: "salto_ks_user_not_subscribed";
        created_at: string;
    } | null | undefined;
}>;
export declare const acs_users_warnings: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
    created_at: z.ZodString;
    message: z.ZodString;
}, {
    warning_code: z.ZodLiteral<"being_deleted">;
}>, "strip", z.ZodTypeAny, {
    message: string;
    warning_code: "being_deleted";
    created_at: string;
}, {
    message: string;
    warning_code: "being_deleted";
    created_at: string;
}>, z.ZodObject<z.objectUtil.extendShape<{
    created_at: z.ZodString;
    message: z.ZodString;
}, {
    warning_code: z.ZodLiteral<"salto_ks_user_not_subscribed">;
}>, "strip", z.ZodTypeAny, {
    message: string;
    warning_code: "salto_ks_user_not_subscribed";
    created_at: string;
}, {
    message: string;
    warning_code: "salto_ks_user_not_subscribed";
    created_at: string;
}>]>;
export type AcsUsersWarningMap = z.infer<typeof acs_users_warning_map>;
export declare const acs_user: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    acs_user_id: z.ZodString;
    acs_system_id: z.ZodString;
    hid_acs_system_id: z.ZodOptional<z.ZodString>;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    display_name: z.ZodString;
    external_type: z.ZodOptional<z.ZodEnum<["pti_user", "brivo_user", "hid_credential_manager_user", "salto_site_user", "latch_user", "dormakaba_community_user"]>>;
    external_type_display_name: z.ZodOptional<z.ZodString>;
    is_suspended: z.ZodBoolean;
    access_schedule: z.ZodOptional<z.ZodObject<{
        starts_at: z.ZodString;
        ends_at: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        starts_at: string;
        ends_at: string;
    }, {
        starts_at: string;
        ends_at: string;
    }>>;
    user_identity_id: z.ZodOptional<z.ZodString>;
    user_identity_full_name: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    user_identity_email_address: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    user_identity_phone_number: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    latest_desired_state_synced_with_provider_at: z.ZodOptional<z.ZodString>;
    is_latest_desired_state_synced_with_provider: z.ZodOptional<z.ZodBoolean>;
    warnings: z.ZodArray<z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        warning_code: z.ZodLiteral<"being_deleted">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        warning_code: "being_deleted";
        created_at: string;
    }, {
        message: string;
        warning_code: "being_deleted";
        created_at: string;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        warning_code: z.ZodLiteral<"salto_ks_user_not_subscribed">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        warning_code: "salto_ks_user_not_subscribed";
        created_at: string;
    }, {
        message: string;
        warning_code: "salto_ks_user_not_subscribed";
        created_at: string;
    }>]>, "many">;
    errors: z.ZodArray<z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"deleted_externally">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "deleted_externally";
        created_at: string;
    }, {
        message: string;
        error_code: "deleted_externally";
        created_at: string;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"salto_ks_subscription_limit_exceeded">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    }, {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"failed_to_create_on_acs_system">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "failed_to_create_on_acs_system";
        created_at: string;
    }, {
        message: string;
        error_code: "failed_to_create_on_acs_system";
        created_at: string;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"failed_to_update_on_acs_system">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "failed_to_update_on_acs_system";
        created_at: string;
    }, {
        message: string;
        error_code: "failed_to_update_on_acs_system";
        created_at: string;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"failed_to_delete_on_acs_system">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "failed_to_delete_on_acs_system";
        created_at: string;
    }, {
        message: string;
        error_code: "failed_to_delete_on_acs_system";
        created_at: string;
    }>]>, "many">;
}, {
    full_name: z.ZodOptional<z.ZodString>;
    email: z.ZodOptional<z.ZodString>;
    email_address: z.ZodOptional<z.ZodString>;
    phone_number: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
}>, {
    is_managed: z.ZodLiteral<true>;
}>, "strip", z.ZodTypeAny, {
    created_at: string;
    errors: ({
        message: string;
        error_code: "deleted_externally";
        created_at: string;
    } | {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    } | {
        message: string;
        error_code: "failed_to_create_on_acs_system";
        created_at: string;
    } | {
        message: string;
        error_code: "failed_to_update_on_acs_system";
        created_at: string;
    } | {
        message: string;
        error_code: "failed_to_delete_on_acs_system";
        created_at: string;
    })[];
    warnings: ({
        message: string;
        warning_code: "being_deleted";
        created_at: string;
    } | {
        message: string;
        warning_code: "salto_ks_user_not_subscribed";
        created_at: string;
    })[];
    display_name: string;
    workspace_id: string;
    is_managed: true;
    acs_system_id: string;
    acs_user_id: string;
    is_suspended: boolean;
    email?: string | undefined;
    external_type?: "pti_user" | "brivo_user" | "hid_credential_manager_user" | "salto_site_user" | "latch_user" | "dormakaba_community_user" | undefined;
    external_type_display_name?: string | undefined;
    is_latest_desired_state_synced_with_provider?: boolean | undefined;
    latest_desired_state_synced_with_provider_at?: string | undefined;
    user_identity_id?: string | undefined;
    full_name?: string | undefined;
    email_address?: string | undefined;
    phone_number?: string | undefined;
    hid_acs_system_id?: string | undefined;
    access_schedule?: {
        starts_at: string;
        ends_at: string;
    } | undefined;
    user_identity_full_name?: string | null | undefined;
    user_identity_email_address?: string | null | undefined;
    user_identity_phone_number?: string | null | undefined;
}, {
    created_at: string;
    errors: ({
        message: string;
        error_code: "deleted_externally";
        created_at: string;
    } | {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    } | {
        message: string;
        error_code: "failed_to_create_on_acs_system";
        created_at: string;
    } | {
        message: string;
        error_code: "failed_to_update_on_acs_system";
        created_at: string;
    } | {
        message: string;
        error_code: "failed_to_delete_on_acs_system";
        created_at: string;
    })[];
    warnings: ({
        message: string;
        warning_code: "being_deleted";
        created_at: string;
    } | {
        message: string;
        warning_code: "salto_ks_user_not_subscribed";
        created_at: string;
    })[];
    display_name: string;
    workspace_id: string;
    is_managed: true;
    acs_system_id: string;
    acs_user_id: string;
    is_suspended: boolean;
    email?: string | undefined;
    external_type?: "pti_user" | "brivo_user" | "hid_credential_manager_user" | "salto_site_user" | "latch_user" | "dormakaba_community_user" | undefined;
    external_type_display_name?: string | undefined;
    is_latest_desired_state_synced_with_provider?: boolean | undefined;
    latest_desired_state_synced_with_provider_at?: string | undefined;
    user_identity_id?: string | undefined;
    full_name?: string | undefined;
    email_address?: string | undefined;
    phone_number?: string | undefined;
    hid_acs_system_id?: string | undefined;
    access_schedule?: {
        starts_at: string;
        ends_at: string;
    } | undefined;
    user_identity_full_name?: string | null | undefined;
    user_identity_email_address?: string | null | undefined;
    user_identity_phone_number?: string | null | undefined;
}>;
export declare const unmanaged_acs_user: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    acs_user_id: z.ZodString;
    acs_system_id: z.ZodString;
    hid_acs_system_id: z.ZodOptional<z.ZodString>;
    workspace_id: z.ZodString;
    created_at: z.ZodString;
    display_name: z.ZodString;
    external_type: z.ZodOptional<z.ZodEnum<["pti_user", "brivo_user", "hid_credential_manager_user", "salto_site_user", "latch_user", "dormakaba_community_user"]>>;
    external_type_display_name: z.ZodOptional<z.ZodString>;
    is_suspended: z.ZodBoolean;
    access_schedule: z.ZodOptional<z.ZodObject<{
        starts_at: z.ZodString;
        ends_at: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        starts_at: string;
        ends_at: string;
    }, {
        starts_at: string;
        ends_at: string;
    }>>;
    user_identity_id: z.ZodOptional<z.ZodString>;
    user_identity_full_name: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    user_identity_email_address: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    user_identity_phone_number: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    latest_desired_state_synced_with_provider_at: z.ZodOptional<z.ZodString>;
    is_latest_desired_state_synced_with_provider: z.ZodOptional<z.ZodBoolean>;
    warnings: z.ZodArray<z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        warning_code: z.ZodLiteral<"being_deleted">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        warning_code: "being_deleted";
        created_at: string;
    }, {
        message: string;
        warning_code: "being_deleted";
        created_at: string;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        warning_code: z.ZodLiteral<"salto_ks_user_not_subscribed">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        warning_code: "salto_ks_user_not_subscribed";
        created_at: string;
    }, {
        message: string;
        warning_code: "salto_ks_user_not_subscribed";
        created_at: string;
    }>]>, "many">;
    errors: z.ZodArray<z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"deleted_externally">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "deleted_externally";
        created_at: string;
    }, {
        message: string;
        error_code: "deleted_externally";
        created_at: string;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"salto_ks_subscription_limit_exceeded">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    }, {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"failed_to_create_on_acs_system">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "failed_to_create_on_acs_system";
        created_at: string;
    }, {
        message: string;
        error_code: "failed_to_create_on_acs_system";
        created_at: string;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"failed_to_update_on_acs_system">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "failed_to_update_on_acs_system";
        created_at: string;
    }, {
        message: string;
        error_code: "failed_to_update_on_acs_system";
        created_at: string;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        created_at: z.ZodString;
        message: z.ZodString;
    }, {
        error_code: z.ZodLiteral<"failed_to_delete_on_acs_system">;
    }>, "strip", z.ZodTypeAny, {
        message: string;
        error_code: "failed_to_delete_on_acs_system";
        created_at: string;
    }, {
        message: string;
        error_code: "failed_to_delete_on_acs_system";
        created_at: string;
    }>]>, "many">;
}, {
    full_name: z.ZodOptional<z.ZodString>;
    email: z.ZodOptional<z.ZodString>;
    email_address: z.ZodOptional<z.ZodString>;
    phone_number: z.ZodOptional<z.ZodEffects<z.ZodString, string, string>>;
}>, {
    is_managed: z.ZodLiteral<false>;
}>, "strip", z.ZodTypeAny, {
    created_at: string;
    errors: ({
        message: string;
        error_code: "deleted_externally";
        created_at: string;
    } | {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    } | {
        message: string;
        error_code: "failed_to_create_on_acs_system";
        created_at: string;
    } | {
        message: string;
        error_code: "failed_to_update_on_acs_system";
        created_at: string;
    } | {
        message: string;
        error_code: "failed_to_delete_on_acs_system";
        created_at: string;
    })[];
    warnings: ({
        message: string;
        warning_code: "being_deleted";
        created_at: string;
    } | {
        message: string;
        warning_code: "salto_ks_user_not_subscribed";
        created_at: string;
    })[];
    display_name: string;
    workspace_id: string;
    is_managed: false;
    acs_system_id: string;
    acs_user_id: string;
    is_suspended: boolean;
    email?: string | undefined;
    external_type?: "pti_user" | "brivo_user" | "hid_credential_manager_user" | "salto_site_user" | "latch_user" | "dormakaba_community_user" | undefined;
    external_type_display_name?: string | undefined;
    is_latest_desired_state_synced_with_provider?: boolean | undefined;
    latest_desired_state_synced_with_provider_at?: string | undefined;
    user_identity_id?: string | undefined;
    full_name?: string | undefined;
    email_address?: string | undefined;
    phone_number?: string | undefined;
    hid_acs_system_id?: string | undefined;
    access_schedule?: {
        starts_at: string;
        ends_at: string;
    } | undefined;
    user_identity_full_name?: string | null | undefined;
    user_identity_email_address?: string | null | undefined;
    user_identity_phone_number?: string | null | undefined;
}, {
    created_at: string;
    errors: ({
        message: string;
        error_code: "deleted_externally";
        created_at: string;
    } | {
        message: string;
        error_code: "salto_ks_subscription_limit_exceeded";
        created_at: string;
    } | {
        message: string;
        error_code: "failed_to_create_on_acs_system";
        created_at: string;
    } | {
        message: string;
        error_code: "failed_to_update_on_acs_system";
        created_at: string;
    } | {
        message: string;
        error_code: "failed_to_delete_on_acs_system";
        created_at: string;
    })[];
    warnings: ({
        message: string;
        warning_code: "being_deleted";
        created_at: string;
    } | {
        message: string;
        warning_code: "salto_ks_user_not_subscribed";
        created_at: string;
    })[];
    display_name: string;
    workspace_id: string;
    is_managed: false;
    acs_system_id: string;
    acs_user_id: string;
    is_suspended: boolean;
    email?: string | undefined;
    external_type?: "pti_user" | "brivo_user" | "hid_credential_manager_user" | "salto_site_user" | "latch_user" | "dormakaba_community_user" | undefined;
    external_type_display_name?: string | undefined;
    is_latest_desired_state_synced_with_provider?: boolean | undefined;
    latest_desired_state_synced_with_provider_at?: string | undefined;
    user_identity_id?: string | undefined;
    full_name?: string | undefined;
    email_address?: string | undefined;
    phone_number?: string | undefined;
    hid_acs_system_id?: string | undefined;
    access_schedule?: {
        starts_at: string;
        ends_at: string;
    } | undefined;
    user_identity_full_name?: string | null | undefined;
    user_identity_email_address?: string | null | undefined;
    user_identity_phone_number?: string | null | undefined;
}>;
export type AcsUser = z.output<typeof acs_user>;
export type AcsUnmanagedUser = z.output<typeof unmanaged_acs_user>;
