import { z } from 'zod';
export declare const common_action_attempt: z.ZodObject<{
    action_attempt_id: z.ZodString;
    status: z.ZodEnum<["pending", "success", "error"]>;
}, "strip", z.ZodTypeAny, {
    status: "error" | "pending" | "success";
    action_attempt_id: string;
}, {
    status: "error" | "pending" | "success";
    action_attempt_id: string;
}>;
export declare const common_pending_action_attempt: z.ZodObject<z.objectUtil.extendShape<{
    action_attempt_id: z.ZodString;
    status: z.ZodEnum<["pending", "success", "error"]>;
}, {
    status: z.ZodLiteral<"pending">;
    result: z.ZodNull;
    error: z.ZodNull;
}>, "strip", z.ZodTypeAny, {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
}, {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
}>;
export declare const common_succeeded_action_attempt: z.ZodObject<z.objectUtil.extendShape<{
    action_attempt_id: z.ZodString;
    status: z.ZodEnum<["pending", "success", "error"]>;
}, {
    status: z.ZodLiteral<"success">;
    error: z.ZodNull;
}>, "strip", z.ZodTypeAny, {
    error: null;
    status: "success";
    action_attempt_id: string;
}, {
    error: null;
    status: "success";
    action_attempt_id: string;
}>;
export declare const common_failed_action_attempt: z.ZodObject<z.objectUtil.extendShape<{
    action_attempt_id: z.ZodString;
    status: z.ZodEnum<["pending", "success", "error"]>;
}, {
    status: z.ZodLiteral<"error">;
    result: z.ZodNull;
}>, "strip", z.ZodTypeAny, {
    status: "error";
    action_attempt_id: string;
    result: null;
}, {
    status: "error";
    action_attempt_id: string;
    result: null;
}>;
export declare const common_action_attempt_errors: readonly [z.ZodObject<{
    type: z.ZodLiteral<"uncategorized_error">;
    message: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "uncategorized_error";
    message: string;
}, {
    type: "uncategorized_error";
    message: string;
}>, z.ZodObject<{
    type: z.ZodLiteral<"action_attempt_expired">;
    message: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "action_attempt_expired";
    message: string;
}, {
    type: "action_attempt_expired";
    message: string;
}>];
