import { z } from 'zod';
export declare const encode_card_action_attempt: z.ZodDiscriminatedUnion<"status", [z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    action_attempt_id: z.ZodString;
    status: z.ZodEnum<["pending", "success", "error"]>;
}, {
    status: z.ZodLiteral<"pending">;
    result: z.ZodNull;
    error: z.ZodNull;
}>, {
    action_type: z.ZodLiteral<"ENCODE_CARD">;
}>, "strip", z.ZodTypeAny, {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "ENCODE_CARD";
}, {
    error: null;
    status: "pending";
    action_attempt_id: string;
    result: null;
    action_type: "ENCODE_CARD";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    action_attempt_id: z.ZodString;
    status: z.ZodEnum<["pending", "success", "error"]>;
}, {
    status: z.ZodLiteral<"success">;
    error: z.ZodNull;
}>, {
    action_type: z.ZodLiteral<"ENCODE_CARD">;
    result: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
        acs_credential_id: z.ZodString;
        acs_user_id: z.ZodOptional<z.ZodString>;
        acs_credential_pool_id: z.ZodOptional<z.ZodString>;
        acs_system_id: z.ZodString;
        parent_acs_credential_id: z.ZodOptional<z.ZodString>;
        display_name: z.ZodString;
        code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        card_number: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        is_issued: z.ZodOptional<z.ZodBoolean>;
        issued_at: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        access_method: z.ZodEnum<["code", "card", "mobile_key"]>;
        external_type: z.ZodOptional<z.ZodEnum<["pti_card", "brivo_credential", "hid_credential", "visionline_card", "salto_ks_credential"]>>;
        external_type_display_name: z.ZodOptional<z.ZodString>;
        created_at: z.ZodString;
        workspace_id: z.ZodString;
        starts_at: z.ZodOptional<z.ZodString>;
        ends_at: z.ZodOptional<z.ZodString>;
        errors: z.ZodArray<z.ZodObject<{
            error_code: z.ZodString;
            message: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            message: string;
            error_code: string;
        }, {
            message: string;
            error_code: string;
        }>, "many">;
        warnings: z.ZodArray<z.ZodObject<{
            warning_code: z.ZodString;
            message: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            message: string;
            warning_code: string;
        }, {
            message: string;
            warning_code: string;
        }>, "many">;
        is_multi_phone_sync_credential: z.ZodOptional<z.ZodBoolean>;
        is_latest_desired_state_synced_with_provider: z.ZodOptional<z.ZodBoolean>;
        latest_desired_state_synced_with_provider_at: z.ZodOptional<z.ZodString>;
        visionline_metadata: z.ZodOptional<z.ZodObject<{
            card_function_type: z.ZodEnum<["guest", "staff"]>;
            joiner_acs_credential_ids: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            guest_acs_entrance_ids: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            common_acs_entrance_ids: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            is_valid: z.ZodOptional<z.ZodBoolean>;
            auto_join: z.ZodOptional<z.ZodBoolean>;
            card_id: z.ZodOptional<z.ZodString>;
            credential_id: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            card_function_type: "guest" | "staff";
            joiner_acs_credential_ids?: string[] | undefined;
            guest_acs_entrance_ids?: string[] | undefined;
            common_acs_entrance_ids?: string[] | undefined;
            is_valid?: boolean | undefined;
            auto_join?: boolean | undefined;
            card_id?: string | undefined;
            credential_id?: string | undefined;
        }, {
            card_function_type: "guest" | "staff";
            joiner_acs_credential_ids?: string[] | undefined;
            guest_acs_entrance_ids?: string[] | undefined;
            common_acs_entrance_ids?: string[] | undefined;
            is_valid?: boolean | undefined;
            auto_join?: boolean | undefined;
            card_id?: string | undefined;
            credential_id?: string | undefined;
        }>>;
    }, {
        is_managed: z.ZodLiteral<true>;
    }>, "strip", z.ZodTypeAny, {
        created_at: string;
        errors: {
            message: string;
            error_code: string;
        }[];
        warnings: {
            message: string;
            warning_code: string;
        }[];
        display_name: string;
        workspace_id: string;
        is_managed: true;
        acs_system_id: string;
        acs_credential_id: string;
        access_method: "code" | "card" | "mobile_key";
        code?: string | null | undefined;
        starts_at?: string | undefined;
        ends_at?: string | undefined;
        visionline_metadata?: {
            card_function_type: "guest" | "staff";
            joiner_acs_credential_ids?: string[] | undefined;
            guest_acs_entrance_ids?: string[] | undefined;
            common_acs_entrance_ids?: string[] | undefined;
            is_valid?: boolean | undefined;
            auto_join?: boolean | undefined;
            card_id?: string | undefined;
            credential_id?: string | undefined;
        } | undefined;
        external_type?: "pti_card" | "brivo_credential" | "hid_credential" | "visionline_card" | "salto_ks_credential" | undefined;
        external_type_display_name?: string | undefined;
        acs_user_id?: string | undefined;
        acs_credential_pool_id?: string | undefined;
        parent_acs_credential_id?: string | undefined;
        card_number?: string | null | undefined;
        is_issued?: boolean | undefined;
        issued_at?: string | null | undefined;
        is_multi_phone_sync_credential?: boolean | undefined;
        is_latest_desired_state_synced_with_provider?: boolean | undefined;
        latest_desired_state_synced_with_provider_at?: string | undefined;
    }, {
        created_at: string;
        errors: {
            message: string;
            error_code: string;
        }[];
        warnings: {
            message: string;
            warning_code: string;
        }[];
        display_name: string;
        workspace_id: string;
        is_managed: true;
        acs_system_id: string;
        acs_credential_id: string;
        access_method: "code" | "card" | "mobile_key";
        code?: string | null | undefined;
        starts_at?: string | undefined;
        ends_at?: string | undefined;
        visionline_metadata?: {
            card_function_type: "guest" | "staff";
            joiner_acs_credential_ids?: string[] | undefined;
            guest_acs_entrance_ids?: string[] | undefined;
            common_acs_entrance_ids?: string[] | undefined;
            is_valid?: boolean | undefined;
            auto_join?: boolean | undefined;
            card_id?: string | undefined;
            credential_id?: string | undefined;
        } | undefined;
        external_type?: "pti_card" | "brivo_credential" | "hid_credential" | "visionline_card" | "salto_ks_credential" | undefined;
        external_type_display_name?: string | undefined;
        acs_user_id?: string | undefined;
        acs_credential_pool_id?: string | undefined;
        parent_acs_credential_id?: string | undefined;
        card_number?: string | null | undefined;
        is_issued?: boolean | undefined;
        issued_at?: string | null | undefined;
        is_multi_phone_sync_credential?: boolean | undefined;
        is_latest_desired_state_synced_with_provider?: boolean | undefined;
        latest_desired_state_synced_with_provider_at?: string | undefined;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        acs_credential_id: z.ZodString;
        acs_user_id: z.ZodOptional<z.ZodString>;
        acs_credential_pool_id: z.ZodOptional<z.ZodString>;
        acs_system_id: z.ZodString;
        parent_acs_credential_id: z.ZodOptional<z.ZodString>;
        display_name: z.ZodString;
        code: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        card_number: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        is_issued: z.ZodOptional<z.ZodBoolean>;
        issued_at: z.ZodNullable<z.ZodOptional<z.ZodString>>;
        access_method: z.ZodEnum<["code", "card", "mobile_key"]>;
        external_type: z.ZodOptional<z.ZodEnum<["pti_card", "brivo_credential", "hid_credential", "visionline_card", "salto_ks_credential"]>>;
        external_type_display_name: z.ZodOptional<z.ZodString>;
        created_at: z.ZodString;
        workspace_id: z.ZodString;
        starts_at: z.ZodOptional<z.ZodString>;
        ends_at: z.ZodOptional<z.ZodString>;
        errors: z.ZodArray<z.ZodObject<{
            error_code: z.ZodString;
            message: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            message: string;
            error_code: string;
        }, {
            message: string;
            error_code: string;
        }>, "many">;
        warnings: z.ZodArray<z.ZodObject<{
            warning_code: z.ZodString;
            message: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            message: string;
            warning_code: string;
        }, {
            message: string;
            warning_code: string;
        }>, "many">;
        is_multi_phone_sync_credential: z.ZodOptional<z.ZodBoolean>;
        is_latest_desired_state_synced_with_provider: z.ZodOptional<z.ZodBoolean>;
        latest_desired_state_synced_with_provider_at: z.ZodOptional<z.ZodString>;
        visionline_metadata: z.ZodOptional<z.ZodObject<{
            card_function_type: z.ZodEnum<["guest", "staff"]>;
            joiner_acs_credential_ids: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            guest_acs_entrance_ids: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            common_acs_entrance_ids: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            is_valid: z.ZodOptional<z.ZodBoolean>;
            auto_join: z.ZodOptional<z.ZodBoolean>;
            card_id: z.ZodOptional<z.ZodString>;
            credential_id: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            card_function_type: "guest" | "staff";
            joiner_acs_credential_ids?: string[] | undefined;
            guest_acs_entrance_ids?: string[] | undefined;
            common_acs_entrance_ids?: string[] | undefined;
            is_valid?: boolean | undefined;
            auto_join?: boolean | undefined;
            card_id?: string | undefined;
            credential_id?: string | undefined;
        }, {
            card_function_type: "guest" | "staff";
            joiner_acs_credential_ids?: string[] | undefined;
            guest_acs_entrance_ids?: string[] | undefined;
            common_acs_entrance_ids?: string[] | undefined;
            is_valid?: boolean | undefined;
            auto_join?: boolean | undefined;
            card_id?: string | undefined;
            credential_id?: string | undefined;
        }>>;
    }, {
        is_managed: z.ZodLiteral<false>;
    }>, "strip", z.ZodTypeAny, {
        created_at: string;
        errors: {
            message: string;
            error_code: string;
        }[];
        warnings: {
            message: string;
            warning_code: string;
        }[];
        display_name: string;
        workspace_id: string;
        is_managed: false;
        acs_system_id: string;
        acs_credential_id: string;
        access_method: "code" | "card" | "mobile_key";
        code?: string | null | undefined;
        starts_at?: string | undefined;
        ends_at?: string | undefined;
        visionline_metadata?: {
            card_function_type: "guest" | "staff";
            joiner_acs_credential_ids?: string[] | undefined;
            guest_acs_entrance_ids?: string[] | undefined;
            common_acs_entrance_ids?: string[] | undefined;
            is_valid?: boolean | undefined;
            auto_join?: boolean | undefined;
            card_id?: string | undefined;
            credential_id?: string | undefined;
        } | undefined;
        external_type?: "pti_card" | "brivo_credential" | "hid_credential" | "visionline_card" | "salto_ks_credential" | undefined;
        external_type_display_name?: string | undefined;
        acs_user_id?: string | undefined;
        acs_credential_pool_id?: string | undefined;
        parent_acs_credential_id?: string | undefined;
        card_number?: string | null | undefined;
        is_issued?: boolean | undefined;
        issued_at?: string | null | undefined;
        is_multi_phone_sync_credential?: boolean | undefined;
        is_latest_desired_state_synced_with_provider?: boolean | undefined;
        latest_desired_state_synced_with_provider_at?: string | undefined;
    }, {
        created_at: string;
        errors: {
            message: string;
            error_code: string;
        }[];
        warnings: {
            message: string;
            warning_code: string;
        }[];
        display_name: string;
        workspace_id: string;
        is_managed: false;
        acs_system_id: string;
        acs_credential_id: string;
        access_method: "code" | "card" | "mobile_key";
        code?: string | null | undefined;
        starts_at?: string | undefined;
        ends_at?: string | undefined;
        visionline_metadata?: {
            card_function_type: "guest" | "staff";
            joiner_acs_credential_ids?: string[] | undefined;
            guest_acs_entrance_ids?: string[] | undefined;
            common_acs_entrance_ids?: string[] | undefined;
            is_valid?: boolean | undefined;
            auto_join?: boolean | undefined;
            card_id?: string | undefined;
            credential_id?: string | undefined;
        } | undefined;
        external_type?: "pti_card" | "brivo_credential" | "hid_credential" | "visionline_card" | "salto_ks_credential" | undefined;
        external_type_display_name?: string | undefined;
        acs_user_id?: string | undefined;
        acs_credential_pool_id?: string | undefined;
        parent_acs_credential_id?: string | undefined;
        card_number?: string | null | undefined;
        is_issued?: boolean | undefined;
        issued_at?: string | null | undefined;
        is_multi_phone_sync_credential?: boolean | undefined;
        is_latest_desired_state_synced_with_provider?: boolean | undefined;
        latest_desired_state_synced_with_provider_at?: string | undefined;
    }>]>;
}>, "strip", z.ZodTypeAny, {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {
        created_at: string;
        errors: {
            message: string;
            error_code: string;
        }[];
        warnings: {
            message: string;
            warning_code: string;
        }[];
        display_name: string;
        workspace_id: string;
        is_managed: true;
        acs_system_id: string;
        acs_credential_id: string;
        access_method: "code" | "card" | "mobile_key";
        code?: string | null | undefined;
        starts_at?: string | undefined;
        ends_at?: string | undefined;
        visionline_metadata?: {
            card_function_type: "guest" | "staff";
            joiner_acs_credential_ids?: string[] | undefined;
            guest_acs_entrance_ids?: string[] | undefined;
            common_acs_entrance_ids?: string[] | undefined;
            is_valid?: boolean | undefined;
            auto_join?: boolean | undefined;
            card_id?: string | undefined;
            credential_id?: string | undefined;
        } | undefined;
        external_type?: "pti_card" | "brivo_credential" | "hid_credential" | "visionline_card" | "salto_ks_credential" | undefined;
        external_type_display_name?: string | undefined;
        acs_user_id?: string | undefined;
        acs_credential_pool_id?: string | undefined;
        parent_acs_credential_id?: string | undefined;
        card_number?: string | null | undefined;
        is_issued?: boolean | undefined;
        issued_at?: string | null | undefined;
        is_multi_phone_sync_credential?: boolean | undefined;
        is_latest_desired_state_synced_with_provider?: boolean | undefined;
        latest_desired_state_synced_with_provider_at?: string | undefined;
    } | {
        created_at: string;
        errors: {
            message: string;
            error_code: string;
        }[];
        warnings: {
            message: string;
            warning_code: string;
        }[];
        display_name: string;
        workspace_id: string;
        is_managed: false;
        acs_system_id: string;
        acs_credential_id: string;
        access_method: "code" | "card" | "mobile_key";
        code?: string | null | undefined;
        starts_at?: string | undefined;
        ends_at?: string | undefined;
        visionline_metadata?: {
            card_function_type: "guest" | "staff";
            joiner_acs_credential_ids?: string[] | undefined;
            guest_acs_entrance_ids?: string[] | undefined;
            common_acs_entrance_ids?: string[] | undefined;
            is_valid?: boolean | undefined;
            auto_join?: boolean | undefined;
            card_id?: string | undefined;
            credential_id?: string | undefined;
        } | undefined;
        external_type?: "pti_card" | "brivo_credential" | "hid_credential" | "visionline_card" | "salto_ks_credential" | undefined;
        external_type_display_name?: string | undefined;
        acs_user_id?: string | undefined;
        acs_credential_pool_id?: string | undefined;
        parent_acs_credential_id?: string | undefined;
        card_number?: string | null | undefined;
        is_issued?: boolean | undefined;
        issued_at?: string | null | undefined;
        is_multi_phone_sync_credential?: boolean | undefined;
        is_latest_desired_state_synced_with_provider?: boolean | undefined;
        latest_desired_state_synced_with_provider_at?: string | undefined;
    };
    action_type: "ENCODE_CARD";
}, {
    error: null;
    status: "success";
    action_attempt_id: string;
    result: {
        created_at: string;
        errors: {
            message: string;
            error_code: string;
        }[];
        warnings: {
            message: string;
            warning_code: string;
        }[];
        display_name: string;
        workspace_id: string;
        is_managed: true;
        acs_system_id: string;
        acs_credential_id: string;
        access_method: "code" | "card" | "mobile_key";
        code?: string | null | undefined;
        starts_at?: string | undefined;
        ends_at?: string | undefined;
        visionline_metadata?: {
            card_function_type: "guest" | "staff";
            joiner_acs_credential_ids?: string[] | undefined;
            guest_acs_entrance_ids?: string[] | undefined;
            common_acs_entrance_ids?: string[] | undefined;
            is_valid?: boolean | undefined;
            auto_join?: boolean | undefined;
            card_id?: string | undefined;
            credential_id?: string | undefined;
        } | undefined;
        external_type?: "pti_card" | "brivo_credential" | "hid_credential" | "visionline_card" | "salto_ks_credential" | undefined;
        external_type_display_name?: string | undefined;
        acs_user_id?: string | undefined;
        acs_credential_pool_id?: string | undefined;
        parent_acs_credential_id?: string | undefined;
        card_number?: string | null | undefined;
        is_issued?: boolean | undefined;
        issued_at?: string | null | undefined;
        is_multi_phone_sync_credential?: boolean | undefined;
        is_latest_desired_state_synced_with_provider?: boolean | undefined;
        latest_desired_state_synced_with_provider_at?: string | undefined;
    } | {
        created_at: string;
        errors: {
            message: string;
            error_code: string;
        }[];
        warnings: {
            message: string;
            warning_code: string;
        }[];
        display_name: string;
        workspace_id: string;
        is_managed: false;
        acs_system_id: string;
        acs_credential_id: string;
        access_method: "code" | "card" | "mobile_key";
        code?: string | null | undefined;
        starts_at?: string | undefined;
        ends_at?: string | undefined;
        visionline_metadata?: {
            card_function_type: "guest" | "staff";
            joiner_acs_credential_ids?: string[] | undefined;
            guest_acs_entrance_ids?: string[] | undefined;
            common_acs_entrance_ids?: string[] | undefined;
            is_valid?: boolean | undefined;
            auto_join?: boolean | undefined;
            card_id?: string | undefined;
            credential_id?: string | undefined;
        } | undefined;
        external_type?: "pti_card" | "brivo_credential" | "hid_credential" | "visionline_card" | "salto_ks_credential" | undefined;
        external_type_display_name?: string | undefined;
        acs_user_id?: string | undefined;
        acs_credential_pool_id?: string | undefined;
        parent_acs_credential_id?: string | undefined;
        card_number?: string | null | undefined;
        is_issued?: boolean | undefined;
        issued_at?: string | null | undefined;
        is_multi_phone_sync_credential?: boolean | undefined;
        is_latest_desired_state_synced_with_provider?: boolean | undefined;
        latest_desired_state_synced_with_provider_at?: string | undefined;
    };
    action_type: "ENCODE_CARD";
}>, z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    action_attempt_id: z.ZodString;
    status: z.ZodEnum<["pending", "success", "error"]>;
}, {
    status: z.ZodLiteral<"error">;
    result: z.ZodNull;
}>, {
    action_type: z.ZodLiteral<"ENCODE_CARD">;
    error: z.ZodUnion<[z.ZodObject<{
        type: z.ZodLiteral<"uncategorized_error">;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "uncategorized_error";
        message: string;
    }, {
        type: "uncategorized_error";
        message: string;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"action_attempt_expired">;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "action_attempt_expired";
        message: string;
    }, {
        type: "action_attempt_expired";
        message: string;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"no_card_on_encoder">;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "no_card_on_encoder";
        message: string;
    }, {
        type: "no_card_on_encoder";
        message: string;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"incompatible_card_format">;
        message: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "incompatible_card_format";
        message: string;
    }, {
        type: "incompatible_card_format";
        message: string;
    }>]>;
}>, "strip", z.ZodTypeAny, {
    error: {
        type: "uncategorized_error";
        message: string;
    } | {
        type: "action_attempt_expired";
        message: string;
    } | {
        type: "no_card_on_encoder";
        message: string;
    } | {
        type: "incompatible_card_format";
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "ENCODE_CARD";
}, {
    error: {
        type: "uncategorized_error";
        message: string;
    } | {
        type: "action_attempt_expired";
        message: string;
    } | {
        type: "no_card_on_encoder";
        message: string;
    } | {
        type: "incompatible_card_format";
        message: string;
    };
    status: "error";
    action_attempt_id: string;
    result: null;
    action_type: "ENCODE_CARD";
}>]>;
export type EncodeCardActionAttempt = z.infer<typeof encode_card_action_attempt>;
