import { z } from 'zod';
export declare const thermostat_capability_properties: z.ZodObject<{
    temperature_fahrenheit: z.ZodOptional<z.ZodNumber>;
    temperature_celsius: z.ZodOptional<z.ZodNumber>;
    relative_humidity: z.ZodOptional<z.ZodNumber>;
    available_hvac_mode_settings: z.ZodOptional<z.ZodArray<z.ZodEnum<["off", "heat", "cool", "heat_cool"]>, "many">>;
    available_fan_mode_settings: z.ZodOptional<z.ZodArray<z.ZodEnum<["auto", "on", "circulate"]>, "many">>;
    is_heating: z.ZodOptional<z.ZodBoolean>;
    is_cooling: z.ZodOptional<z.ZodBoolean>;
    is_fan_running: z.ZodOptional<z.ZodBoolean>;
    fan_mode_setting: z.ZodOptional<z.ZodEnum<["auto", "on", "circulate"]>>;
    is_temporary_manual_override_active: z.ZodOptional<z.ZodBoolean>;
    current_climate_setting: z.ZodOptional<z.ZodObject<{
        climate_preset_key: z.ZodOptional<z.ZodString>;
        can_edit: z.ZodOptional<z.ZodBoolean>;
        can_delete: z.ZodOptional<z.ZodBoolean>;
        name: z.ZodOptional<z.ZodOptional<z.ZodDefault<z.ZodNullable<z.ZodString>>>>;
        display_name: z.ZodOptional<z.ZodString>;
        fan_mode_setting: z.ZodOptional<z.ZodOptional<z.ZodEnum<["auto", "on", "circulate"]>>>;
        hvac_mode_setting: z.ZodOptional<z.ZodOptional<z.ZodEnum<["off", "heat", "cool", "heat_cool"]>>>;
        cooling_set_point_celsius: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        heating_set_point_celsius: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        cooling_set_point_fahrenheit: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        heating_set_point_fahrenheit: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        manual_override_allowed: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        name?: string | null | undefined;
        climate_preset_key?: string | undefined;
        can_edit?: boolean | undefined;
        can_delete?: boolean | undefined;
        display_name?: string | undefined;
        fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    }, {
        name?: string | null | undefined;
        climate_preset_key?: string | undefined;
        can_edit?: boolean | undefined;
        can_delete?: boolean | undefined;
        display_name?: string | undefined;
        fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    }>>;
    default_climate_setting: z.ZodOptional<z.ZodObject<{
        climate_preset_key: z.ZodOptional<z.ZodString>;
        can_edit: z.ZodOptional<z.ZodBoolean>;
        can_delete: z.ZodOptional<z.ZodBoolean>;
        name: z.ZodOptional<z.ZodOptional<z.ZodDefault<z.ZodNullable<z.ZodString>>>>;
        display_name: z.ZodOptional<z.ZodString>;
        fan_mode_setting: z.ZodOptional<z.ZodOptional<z.ZodEnum<["auto", "on", "circulate"]>>>;
        hvac_mode_setting: z.ZodOptional<z.ZodOptional<z.ZodEnum<["off", "heat", "cool", "heat_cool"]>>>;
        cooling_set_point_celsius: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        heating_set_point_celsius: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        cooling_set_point_fahrenheit: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        heating_set_point_fahrenheit: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
        manual_override_allowed: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        name?: string | null | undefined;
        climate_preset_key?: string | undefined;
        can_edit?: boolean | undefined;
        can_delete?: boolean | undefined;
        display_name?: string | undefined;
        fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    }, {
        name?: string | null | undefined;
        climate_preset_key?: string | undefined;
        can_edit?: boolean | undefined;
        can_delete?: boolean | undefined;
        display_name?: string | undefined;
        fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    }>>;
    available_climate_presets: z.ZodOptional<z.ZodArray<z.ZodObject<{
        climate_preset_key: z.ZodString;
        can_edit: z.ZodBoolean;
        can_delete: z.ZodBoolean;
        name: z.ZodOptional<z.ZodDefault<z.ZodNullable<z.ZodString>>>;
        display_name: z.ZodString;
        fan_mode_setting: z.ZodOptional<z.ZodEnum<["auto", "on", "circulate"]>>;
        hvac_mode_setting: z.ZodOptional<z.ZodEnum<["off", "heat", "cool", "heat_cool"]>>;
        cooling_set_point_celsius: z.ZodOptional<z.ZodNumber>;
        heating_set_point_celsius: z.ZodOptional<z.ZodNumber>;
        cooling_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
        heating_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
        manual_override_allowed: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        climate_preset_key: string;
        can_edit: boolean;
        can_delete: boolean;
        display_name: string;
        manual_override_allowed: boolean;
        name?: string | null | undefined;
        fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }, {
        climate_preset_key: string;
        can_edit: boolean;
        can_delete: boolean;
        display_name: string;
        manual_override_allowed: boolean;
        name?: string | null | undefined;
        fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }>, "many">>;
    fallback_climate_preset_key: z.ZodOptional<z.ZodDefault<z.ZodNullable<z.ZodString>>>;
    active_thermostat_schedule: z.ZodOptional<z.ZodDefault<z.ZodNullable<z.ZodObject<{
        thermostat_schedule_id: z.ZodString;
        device_id: z.ZodString;
        name: z.ZodOptional<z.ZodString>;
        climate_preset_key: z.ZodString;
        max_override_period_minutes: z.ZodNumber;
        starts_at: z.ZodString;
        ends_at: z.ZodString;
        created_at: z.ZodString;
        errors: z.ZodAny;
    }, "strip", z.ZodTypeAny, {
        created_at: string;
        climate_preset_key: string;
        thermostat_schedule_id: string;
        device_id: string;
        max_override_period_minutes: number;
        starts_at: string;
        ends_at: string;
        name?: string | undefined;
        errors?: any;
    }, {
        created_at: string;
        climate_preset_key: string;
        thermostat_schedule_id: string;
        device_id: string;
        max_override_period_minutes: number;
        starts_at: string;
        ends_at: string;
        name?: string | undefined;
        errors?: any;
    }>>>>;
    min_cooling_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    min_cooling_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    max_cooling_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    max_cooling_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    min_heating_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    min_heating_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    max_heating_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    max_heating_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    min_heating_cooling_delta_celsius: z.ZodOptional<z.ZodNumber>;
    min_heating_cooling_delta_fahrenheit: z.ZodOptional<z.ZodNumber>;
    temperature_threshold: z.ZodOptional<z.ZodOptional<z.ZodObject<{
        lower_limit_celsius: z.ZodNullable<z.ZodNumber>;
        lower_limit_fahrenheit: z.ZodNullable<z.ZodNumber>;
        upper_limit_celsius: z.ZodNullable<z.ZodNumber>;
        upper_limit_fahrenheit: z.ZodNullable<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        lower_limit_celsius: number | null;
        lower_limit_fahrenheit: number | null;
        upper_limit_celsius: number | null;
        upper_limit_fahrenheit: number | null;
    }, {
        lower_limit_celsius: number | null;
        lower_limit_fahrenheit: number | null;
        upper_limit_celsius: number | null;
        upper_limit_fahrenheit: number | null;
    }>>>;
}, "strip", z.ZodTypeAny, {
    fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
    temperature_fahrenheit?: number | undefined;
    temperature_celsius?: number | undefined;
    relative_humidity?: number | undefined;
    available_hvac_mode_settings?: ("off" | "heat" | "cool" | "heat_cool")[] | undefined;
    available_fan_mode_settings?: ("auto" | "on" | "circulate")[] | undefined;
    is_heating?: boolean | undefined;
    is_cooling?: boolean | undefined;
    is_fan_running?: boolean | undefined;
    is_temporary_manual_override_active?: boolean | undefined;
    current_climate_setting?: {
        name?: string | null | undefined;
        climate_preset_key?: string | undefined;
        can_edit?: boolean | undefined;
        can_delete?: boolean | undefined;
        display_name?: string | undefined;
        fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    } | undefined;
    default_climate_setting?: {
        name?: string | null | undefined;
        climate_preset_key?: string | undefined;
        can_edit?: boolean | undefined;
        can_delete?: boolean | undefined;
        display_name?: string | undefined;
        fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    } | undefined;
    available_climate_presets?: {
        climate_preset_key: string;
        can_edit: boolean;
        can_delete: boolean;
        display_name: string;
        manual_override_allowed: boolean;
        name?: string | null | undefined;
        fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }[] | undefined;
    fallback_climate_preset_key?: string | null | undefined;
    active_thermostat_schedule?: {
        created_at: string;
        climate_preset_key: string;
        thermostat_schedule_id: string;
        device_id: string;
        max_override_period_minutes: number;
        starts_at: string;
        ends_at: string;
        name?: string | undefined;
        errors?: any;
    } | null | undefined;
    min_cooling_set_point_celsius?: number | undefined;
    min_cooling_set_point_fahrenheit?: number | undefined;
    max_cooling_set_point_celsius?: number | undefined;
    max_cooling_set_point_fahrenheit?: number | undefined;
    min_heating_set_point_celsius?: number | undefined;
    min_heating_set_point_fahrenheit?: number | undefined;
    max_heating_set_point_celsius?: number | undefined;
    max_heating_set_point_fahrenheit?: number | undefined;
    min_heating_cooling_delta_celsius?: number | undefined;
    min_heating_cooling_delta_fahrenheit?: number | undefined;
    temperature_threshold?: {
        lower_limit_celsius: number | null;
        lower_limit_fahrenheit: number | null;
        upper_limit_celsius: number | null;
        upper_limit_fahrenheit: number | null;
    } | undefined;
}, {
    fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
    temperature_fahrenheit?: number | undefined;
    temperature_celsius?: number | undefined;
    relative_humidity?: number | undefined;
    available_hvac_mode_settings?: ("off" | "heat" | "cool" | "heat_cool")[] | undefined;
    available_fan_mode_settings?: ("auto" | "on" | "circulate")[] | undefined;
    is_heating?: boolean | undefined;
    is_cooling?: boolean | undefined;
    is_fan_running?: boolean | undefined;
    is_temporary_manual_override_active?: boolean | undefined;
    current_climate_setting?: {
        name?: string | null | undefined;
        climate_preset_key?: string | undefined;
        can_edit?: boolean | undefined;
        can_delete?: boolean | undefined;
        display_name?: string | undefined;
        fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    } | undefined;
    default_climate_setting?: {
        name?: string | null | undefined;
        climate_preset_key?: string | undefined;
        can_edit?: boolean | undefined;
        can_delete?: boolean | undefined;
        display_name?: string | undefined;
        fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
        manual_override_allowed?: boolean | undefined;
    } | undefined;
    available_climate_presets?: {
        climate_preset_key: string;
        can_edit: boolean;
        can_delete: boolean;
        display_name: string;
        manual_override_allowed: boolean;
        name?: string | null | undefined;
        fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
        hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
        cooling_set_point_celsius?: number | undefined;
        heating_set_point_celsius?: number | undefined;
        cooling_set_point_fahrenheit?: number | undefined;
        heating_set_point_fahrenheit?: number | undefined;
    }[] | undefined;
    fallback_climate_preset_key?: string | null | undefined;
    active_thermostat_schedule?: {
        created_at: string;
        climate_preset_key: string;
        thermostat_schedule_id: string;
        device_id: string;
        max_override_period_minutes: number;
        starts_at: string;
        ends_at: string;
        name?: string | undefined;
        errors?: any;
    } | null | undefined;
    min_cooling_set_point_celsius?: number | undefined;
    min_cooling_set_point_fahrenheit?: number | undefined;
    max_cooling_set_point_celsius?: number | undefined;
    max_cooling_set_point_fahrenheit?: number | undefined;
    min_heating_set_point_celsius?: number | undefined;
    min_heating_set_point_fahrenheit?: number | undefined;
    max_heating_set_point_celsius?: number | undefined;
    max_heating_set_point_fahrenheit?: number | undefined;
    min_heating_cooling_delta_celsius?: number | undefined;
    min_heating_cooling_delta_fahrenheit?: number | undefined;
    temperature_threshold?: {
        lower_limit_celsius: number | null;
        lower_limit_fahrenheit: number | null;
        upper_limit_celsius: number | null;
        upper_limit_fahrenheit: number | null;
    } | undefined;
}>;
