import { z } from 'zod';
export declare const climate_preset: z.ZodObject<{
    climate_preset_key: z.ZodString;
    can_edit: z.ZodBoolean;
    can_delete: z.ZodBoolean;
    name: z.ZodOptional<z.ZodDefault<z.ZodNullable<z.ZodString>>>;
    display_name: z.ZodString;
    fan_mode_setting: z.ZodOptional<z.ZodEnum<["auto", "on", "circulate"]>>;
    hvac_mode_setting: z.ZodOptional<z.ZodEnum<["off", "heat", "cool", "heat_cool"]>>;
    cooling_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    heating_set_point_celsius: z.ZodOptional<z.ZodNumber>;
    cooling_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    heating_set_point_fahrenheit: z.ZodOptional<z.ZodNumber>;
    manual_override_allowed: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    climate_preset_key: string;
    can_edit: boolean;
    can_delete: boolean;
    display_name: string;
    manual_override_allowed: boolean;
    name?: string | null | undefined;
    fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
    hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
    cooling_set_point_celsius?: number | undefined;
    heating_set_point_celsius?: number | undefined;
    cooling_set_point_fahrenheit?: number | undefined;
    heating_set_point_fahrenheit?: number | undefined;
}, {
    climate_preset_key: string;
    can_edit: boolean;
    can_delete: boolean;
    display_name: string;
    manual_override_allowed: boolean;
    name?: string | null | undefined;
    fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
    hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
    cooling_set_point_celsius?: number | undefined;
    heating_set_point_celsius?: number | undefined;
    cooling_set_point_fahrenheit?: number | undefined;
    heating_set_point_fahrenheit?: number | undefined;
}>;
export type ClimatePreset = z.infer<typeof climate_preset>;
export declare const climate_setting: z.ZodObject<{
    climate_preset_key: z.ZodOptional<z.ZodString>;
    can_edit: z.ZodOptional<z.ZodBoolean>;
    can_delete: z.ZodOptional<z.ZodBoolean>;
    name: z.ZodOptional<z.ZodOptional<z.ZodDefault<z.ZodNullable<z.ZodString>>>>;
    display_name: z.ZodOptional<z.ZodString>;
    fan_mode_setting: z.ZodOptional<z.ZodOptional<z.ZodEnum<["auto", "on", "circulate"]>>>;
    hvac_mode_setting: z.ZodOptional<z.ZodOptional<z.ZodEnum<["off", "heat", "cool", "heat_cool"]>>>;
    cooling_set_point_celsius: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
    heating_set_point_celsius: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
    cooling_set_point_fahrenheit: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
    heating_set_point_fahrenheit: z.ZodOptional<z.ZodOptional<z.ZodNumber>>;
    manual_override_allowed: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    name?: string | null | undefined;
    climate_preset_key?: string | undefined;
    can_edit?: boolean | undefined;
    can_delete?: boolean | undefined;
    display_name?: string | undefined;
    fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
    hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
    cooling_set_point_celsius?: number | undefined;
    heating_set_point_celsius?: number | undefined;
    cooling_set_point_fahrenheit?: number | undefined;
    heating_set_point_fahrenheit?: number | undefined;
    manual_override_allowed?: boolean | undefined;
}, {
    name?: string | null | undefined;
    climate_preset_key?: string | undefined;
    can_edit?: boolean | undefined;
    can_delete?: boolean | undefined;
    display_name?: string | undefined;
    fan_mode_setting?: "auto" | "on" | "circulate" | undefined;
    hvac_mode_setting?: "off" | "heat" | "cool" | "heat_cool" | undefined;
    cooling_set_point_celsius?: number | undefined;
    heating_set_point_celsius?: number | undefined;
    cooling_set_point_fahrenheit?: number | undefined;
    heating_set_point_fahrenheit?: number | undefined;
    manual_override_allowed?: boolean | undefined;
}>;
export type ClimateSetting = z.infer<typeof climate_setting>;
