import { z } from 'zod';
export declare const thermostat_schedule: z.ZodObject<{
    thermostat_schedule_id: z.ZodString;
    device_id: z.ZodString;
    name: z.ZodOptional<z.ZodString>;
    climate_preset_key: z.ZodString;
    max_override_period_minutes: z.ZodNumber;
    starts_at: z.ZodString;
    ends_at: z.ZodString;
    created_at: z.ZodString;
    errors: z.ZodAny;
}, "strip", z.ZodTypeAny, {
    created_at: string;
    climate_preset_key: string;
    thermostat_schedule_id: string;
    device_id: string;
    max_override_period_minutes: number;
    starts_at: string;
    ends_at: string;
    name?: string | undefined;
    errors?: any;
}, {
    created_at: string;
    climate_preset_key: string;
    thermostat_schedule_id: string;
    device_id: string;
    max_override_period_minutes: number;
    starts_at: string;
    ends_at: string;
    name?: string | undefined;
    errors?: any;
}>;
export type ThermostatSchedule = z.infer<typeof thermostat_schedule>;
