import { z } from 'zod';
export declare const webhook: z.ZodObject<{
    webhook_id: z.ZodString;
    url: z.ZodString;
    event_types: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    secret: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    url: string;
    webhook_id: string;
    secret?: string | undefined;
    event_types?: string[] | undefined;
}, {
    url: string;
    webhook_id: string;
    secret?: string | undefined;
    event_types?: string[] | undefined;
}>;
export type Webhook = z.infer<typeof webhook>;
